## qt-gstreamer 0.10.1

=== CMakeLists.txt ===
project(QtGStreamer)
cmake_minimum_required(VERSION 2.8)
enable_testing()

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
set(QTGSTREAMER_VERSION 0.10.1)

option(QTGSTREAMER_STATIC "Build QtGStreamer as a static library" OFF)
option(QTGSTREAMER_TESTS "Build QtGStreamer's tests" OFF)
option(QTGSTREAMER_EXAMPLES "Build QtGStreamer's examples" ON)

include(MacroLogFeature)

find_package(Qt4 COMPONENTS QtCore QtGui QtTest)
macro_log_feature(QT4_FOUND "Qt 4" "Required for building everything" "http://qt.nokia.com/" TRUE "4.5")

find_package(Boost 1.39)
macro_log_feature(Boost_FOUND "Boost" "Required for building QtGLib" "http://www.boost.org/" TRUE "1.39")

# this just sets the QTGSTREAMER_* cmake variables
set(BUILDING_QTGSTREAMER TRUE)
find_package(QtGStreamer REQUIRED)

find_package(Automoc4)
macro_log_feature(Automoc4_FOUND "Automoc 4" "Required for the build system to generate moc files properly"
                                 "https://projects.kde.org/projects/kdesupport/automoc" TRUE "0.9.88")

find_package(GStreamer 0.10.31 COMPONENTS base)
macro_log_feature(GSTREAMER_FOUND "GStreamer" "Required to build QtGStreamer"
                                  "http://gstreamer.freedesktop.org/" TRUE "0.10.31")
macro_log_feature(GSTREAMER_BASE_LIBRARY_FOUND "GStreamer base library"
                                               "Used for building the qwidgetvideosink element"
                                               "http://gstreamer.freedesktop.org/" FALSE "0.10.31")

find_package(GStreamerPluginsBase 0.10.31 COMPONENTS app interfaces video)
macro_log_feature(GSTREAMER_APP_LIBRARY_FOUND "GStreamer app library"
                                              "Required to build QtGStreamerUtils"
                                              "http://gstreamer.freedesktop.org/" TRUE "0.10.31")
macro_log_feature(GSTREAMER_INTERFACES_LIBRARY_FOUND "GStreamer interfaces library"
                                                "Required to build QtGStreamer"
                                                "http://gstreamer.freedesktop.org/" TRUE "0.10.31")
macro_log_feature(GSTREAMER_VIDEO_LIBRARY_FOUND "GStreamer video library"
                                                "Used for building the qwidgetvideosink element"
                                                "http://gstreamer.freedesktop.org/" FALSE "0.10.31")

find_package(GLIB2)
macro_log_feature(GLIB2_FOUND "GLib" "Required to build QtGLib" "http://www.gtk.org/" TRUE)

find_package(GObject)
macro_log_feature(GOBJECT_FOUND "GObject" "Required to build QtGLib" "http://www.gtk.org/" TRUE)

find_package(FLEX)
macro_log_feature(FLEX_FOUND "Flex" "Required to build codegen, a helper code generator"
                             "http://flex.sourceforge.net/" TRUE)

find_package(BISON)
macro_log_feature(BISON_FOUND "Bison" "Required to build codegen, a helper code generator"
                              "http://www.gnu.org/software/bison/" TRUE)


if (CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wformat-security -Wundef -Wpointer-arith -Wcast-align -fno-common")
endif ()

add_subdirectory(codegen)
add_subdirectory(src)
add_subdirectory(elements)

if (QTGSTREAMER_TESTS)
    add_subdirectory(tests)
endif()

if (QTGSTREAMER_EXAMPLES)
    add_subdirectory(examples)
endif()

# Add uninstall target. Taken from the KDE4 scripts
configure_file("${CMAKE_SOURCE_DIR}/cmake/modules/cmake_uninstall.cmake.in" "${CMAKE_BINARY_DIR}/cmake_uninstall.cmake" @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_BINARY_DIR}/cmake_uninstall.cmake")

# Add doc target
include(UseDoxygen)
macro_log_feature(DOXYGEN_FOUND "Doxygen" "Used to generate the API documentation"
                                "http://www.doxygen.org/" FALSE)

macro_display_feature_log()

=== elements/CMakeLists.txt ===
set(GST_PACKAGE_NAME "QtGStreamer" CACHE STRING "The name of this package")
set(GST_PACKAGE_ORIGIN "http://gstreamer.freedesktop.org/" CACHE STRING "The origin url of this package")

add_definitions(-DPACKAGE="qt-gstreamer"
                -DPACKAGE_NAME="${GST_PACKAGE_NAME}"
                -DPACKAGE_ORIGIN="${GST_PACKAGE_ORIGIN}"
                -DPACKAGE_VERSION="${QTGSTREAMER_VERSION}")

if (GSTREAMER_BASE_LIBRARY_FOUND AND GSTREAMER_VIDEO_LIBRARY_FOUND)
    include_directories(${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDE_DIR} ${GSTREAMER_INCLUDE_DIR}
                        ${GLIB2_INCLUDE_DIR} ${GSTREAMER_VIDEO_INCLUDE_DIR})
    add_definitions(-DGST_DISABLE_XML -DGST_DISABLE_LOADSAVE)

    automoc4_add_library(gstqwidgetvideosink MODULE gstqwidgetvideosink.cpp)
    target_link_libraries(gstqwidgetvideosink ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY}
                                              ${GOBJECT_LIBRARIES} ${GSTREAMER_LIBRARY}
                                              ${GSTREAMER_BASE_LIBRARY} ${GSTREAMER_VIDEO_LIBRARY})
    install(TARGETS gstqwidgetvideosink DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/gstreamer-0.10)
endif()

=== examples/CMakeLists.txt ===
add_subdirectory(player)
add_subdirectory(appsink-src)
add_subdirectory(recorder)

=== src/CMakeLists.txt ===
# Common variables
set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
set(INCLUDES_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include/QtGStreamer)
set(EXPORT_TARGET_SET QtGStreamerTargets)

if (QTGSTREAMER_STATIC)
    set(SHARED_OR_STATIC "STATIC")
else()
    set(SHARED_OR_STATIC "SHARED")
    if (CMAKE_COMPILER_IS_GNUCXX AND NOT WIN32)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
    endif ()
endif()

# Macro to run codegen from the subdirs
macro(run_codegen _dir_name _includes _headers)
    set(_prefixed_headers "")
    foreach(_header ${_headers})
        list(APPEND _prefixed_headers ${_dir_name}/${_header})
    endforeach()

    add_custom_command(OUTPUT gen.cpp
                       COMMAND codegen
                       ARGS ${_includes} ${_prefixed_headers}
                              > ${CMAKE_CURRENT_BINARY_DIR}/gen.cpp
                       DEPENDS codegen ${_headers}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/..)
endmacro()

# Macro to install headers from the subdirs
macro(install_headers _dir_name)
    foreach(header ${ARGN})
        get_filename_component(header_path ${header} PATH)
        install(FILES ${header} DESTINATION ${INCLUDES_INSTALL_DIR}/${_dir_name}/${header_path})
    endforeach()
endmacro()

# Setup common environment
include_directories(${QTGSTREAMER_INCLUDES})
add_definitions(${QTGSTREAMER_DEFINITIONS})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${QTGSTREAMER_FLAGS}")

# Build the libraries
add_subdirectory(QGlib)
add_subdirectory(QGst)

# Install the cmake scripts that are used to find the installed library from external projects
install(EXPORT ${EXPORT_TARGET_SET} DESTINATION ${LIB_INSTALL_DIR}/QtGStreamer)
install(FILES ${CMAKE_SOURCE_DIR}/cmake/modules/FindQtGStreamer.cmake
        DESTINATION ${LIB_INSTALL_DIR}/QtGStreamer
        RENAME QtGStreamerConfig.cmake)

# Install pkgconfig files
file(GLOB_RECURSE PC_IN_FILES "*.pc.in")
foreach(pc_in_file ${PC_IN_FILES})
    get_filename_component(pc_out_file ${pc_in_file} NAME)
    string(REPLACE ".pc.in" ".pc" pc_out_file ${pc_out_file})
    configure_file(${pc_in_file} ${CMAKE_CURRENT_BINARY_DIR}/${pc_out_file} @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${pc_out_file} DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endforeach()

=== examples/appsink-src/CMakeLists.txt ===
# This file serves as an example of how to use cmake with QtGStreamer.
# It can be used for building this example either in the QtGStreamer source tree or standalone.

find_package(QtGStreamer REQUIRED)
include_directories(${QTGSTREAMER_INCLUDES})
add_definitions(${QTGSTREAMER_DEFINITIONS})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${QTGSTREAMER_FLAGS}")
add_executable(appsink-src main.cpp)
target_link_libraries(appsink-src ${QTGSTREAMER_UTILS_LIBRARIES})

=== examples/player/CMakeLists.txt ===
include_directories(${QTGSTREAMER_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(${QTGSTREAMER_DEFINITIONS})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${QTGSTREAMER_FLAGS}")
set(player_SOURCES main.cpp player.cpp mediaapp.cpp)
automoc4_add_executable(player ${player_SOURCES})
target_link_libraries(player ${QTGSTREAMER_UI_LIBRARIES})

=== examples/recorder/CMakeLists.txt ===
include_directories(${QTGSTREAMER_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(${QTGSTREAMER_DEFINITIONS})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${QTGSTREAMER_FLAGS}")
qt4_wrap_ui(recorder_UI_SRCS recorder.ui)
automoc4_add_executable(recorder main.cpp ${recorder_UI_SRCS})
target_link_libraries(recorder ${QTGSTREAMER_LIBRARIES} ${QT_QTGUI_LIBRARY})

=== src/QGst/CMakeLists.txt ===
set(QtGStreamer_SRCS
    init.cpp
    objectstore.cpp
    value.cpp
    structure.cpp
    caps.cpp
    miniobject.cpp
    object.cpp
    pad.cpp
    ghostpad.cpp
    element.cpp
    pluginfeature.cpp
    elementfactory.cpp
    bin.cpp
    childproxy.cpp
    pipeline.cpp
    message.cpp
    bus.cpp
    parse.cpp
    urihandler.cpp
    videoorientation.cpp
    xoverlay.cpp
    streamvolume.cpp
    colorbalance.cpp
    propertyprobe.cpp
    query.cpp
    clock.cpp
    buffer.cpp
    event.cpp
    clocktime.cpp
    taglist.cpp
    bufferlist.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/gen.cpp
)

set(QtGStreamerUi_SRCS
    Ui/videowidget.cpp
)

set(QtGStreamerUtils_SRCS
    Utils/applicationsink.cpp
    Utils/applicationsource.cpp
)

set(QtGStreamer_INSTALLED_HEADERS
    global.h            Global
    init.h              Init
    enums.h
    structs.h           Fourcc
                        Fraction
                        IntRange
                        Int64Range
                        DoubleRange
                        FractionRange
    structure.h         Structure
    caps.h              Caps
    miniobject.h        MiniObject
    object.h            Object
    pad.h               Pad
    ghostpad.h          GhostPad
    element.h           Element
    pluginfeature.h     PluginFeature
    elementfactory.h    ElementFactory
    bin.h               Bin
    childproxy.h        ChildProxy
    pipeline.h          Pipeline
    message.h           Message
    bus.h               Bus
    parse.h             Parse
    urihandler.h        UriHandler
    videoorientation.h  VideoOrientation
    xoverlay.h          XOverlay
    streamvolume.h      StreamVolume
    colorbalance.h      ColorBalance
    propertyprobe.h     PropertyProbe
    query.h             Query
    clock.h             Clock
    buffer.h            Buffer
    event.h             Event
    clocktime.h         ClockTime
    taglist.h           TagList
    bufferlist.h        BufferList

    Ui/global.h
    Ui/videowidget.h    Ui/VideoWidget

    Utils/applicationsink.h     Utils/ApplicationSink
    Utils/applicationsource.h   Utils/ApplicationSource
)

file(GLOB QtGStreamer_CODEGEN_HEADERS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "*.h")
list(REMOVE_ITEM QtGStreamer_CODEGEN_HEADERS "global.h")

set(QtGStreamer_CODEGEN_INCLUDES
    -Igst/gst.h
    -Igst/interfaces/interfaces-enumtypes.h
    -Igst/interfaces/xoverlay.h
    -Igst/interfaces/streamvolume.h
    -Igst/interfaces/colorbalance.h
    -Igst/interfaces/videoorientation.h
    -Igst/interfaces/propertyprobe.h
    -Igst/app/gstappsrc.h
    -IQGlib/Quark
)


# Setup the environment
set(QTGSTREAMER_API_VERSION 0.10)
set(QTGSTREAMER_SOVERSION 0)
set(QTGSTREAMER_UI_SOVERSION 0)
set(QTGSTREAMER_UTILS_SOVERSION 0)
include_directories(${CMAKE_CURRENT_BINARY_DIR} ${GSTREAMER_INCLUDE_DIR}
                    ${GSTREAMER_INTERFACES_INCLUDE_DIR} ${GLIB2_INCLUDE_DIR})
add_definitions(-DGST_DISABLE_XML -DGST_DISABLE_LOADSAVE)

# Add command to generate gen.cpp using codegen
run_codegen("QGst" "${QtGStreamer_CODEGEN_INCLUDES}" "${QtGStreamer_CODEGEN_HEADERS}")

# Build and link QtGStreamer
automoc4_add_library(QtGStreamer ${SHARED_OR_STATIC} ${QtGStreamer_SRCS})
set_target_properties(QtGStreamer PROPERTIES OUTPUT_NAME QtGStreamer-${QTGSTREAMER_API_VERSION}
                                               SOVERSION ${QTGSTREAMER_SOVERSION}
                                                 VERSION ${QTGSTREAMER_VERSION})
target_link_libraries(QtGStreamer ${QTGLIB_LIBRARY} ${GOBJECT_LIBRARIES}
                                  ${GSTREAMER_LIBRARY} ${GSTREAMER_INTERFACES_LIBRARY})
target_link_libraries(QtGStreamer LINK_INTERFACE_LIBRARIES ${QTGLIB_LIBRARY})

# Build and link QtGStreamerUi
automoc4_add_library(QtGStreamerUi ${SHARED_OR_STATIC} ${QtGStreamerUi_SRCS})
set_target_properties(QtGStreamerUi PROPERTIES OUTPUT_NAME QtGStreamerUi-${QTGSTREAMER_API_VERSION}
                                                 SOVERSION ${QTGSTREAMER_UI_SOVERSION}
                                                   VERSION ${QTGSTREAMER_VERSION})
target_link_libraries(QtGStreamerUi ${QT_QTGUI_LIBRARY} ${QTGSTREAMER_LIBRARY})

# Build and link QtGStreamerUtils
automoc4_add_library(QtGStreamerUtils ${SHARED_OR_STATIC} ${QtGStreamerUtils_SRCS})
set_target_properties(QtGStreamerUtils PROPERTIES OUTPUT_NAME QtGStreamerUtils-${QTGSTREAMER_API_VERSION}
                                                    SOVERSION ${QTGSTREAMER_UTILS_SOVERSION}
                                                      VERSION ${QTGSTREAMER_VERSION})
target_link_libraries(QtGStreamerUtils ${QTGSTREAMER_LIBRARY} ${GSTREAMER_LIBRARY} ${GSTREAMER_APP_LIBRARY})
target_link_libraries(QtGStreamerUtils LINK_INTERFACE_LIBRARIES ${QTGSTREAMER_LIBRARY})

# Install
install(TARGETS QtGStreamer DESTINATION ${LIB_INSTALL_DIR} EXPORT ${EXPORT_TARGET_SET})
install(TARGETS QtGStreamerUi DESTINATION ${LIB_INSTALL_DIR} EXPORT ${EXPORT_TARGET_SET})
install(TARGETS QtGStreamerUtils DESTINATION ${LIB_INSTALL_DIR} EXPORT ${EXPORT_TARGET_SET})
install_headers("QGst" ${QtGStreamer_INSTALLED_HEADERS})

=== debian/changelog ===
qt-gstreamer (0.10.1-2ubuntu4) precise; urgency=low

  * Add patch from upstream to fix FTBFS with glib 2.31.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 31 Mar 2012 10:51:25 +0200

qt-gstreamer (0.10.1-2ubuntu3) oneiric; urgency=low

  * Add patch from upstream to fix FTBFS with glib 2.29.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 14 Aug 2011 20:57:53 +0200

qt-gstreamer (0.10.1-2ubuntu2) oneiric; urgency=low

  * Enable unit tests.
    - Build-depend on gstreamer0.10-plugins-base.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 23 May 2011 18:29:27 +0200

qt-gstreamer (0.10.1-2ubuntu1) oneiric; urgency=low

  * libqtglib-2.0-0.symbols: Add missing symbol.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 23 May 2011 12:39:41 +0200

qt-gstreamer (0.10.1-2) unstable; urgency=low

  * Import patch from upstream to fix FTBFS - disable building
    latex documentation by default (Closes: #621892).
  * Update symbols file for gcc 4.5.
  * Add build dependency on graphviz to use dot for generating
    graphs in the documentation.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Thu, 14 Apr 2011 12:22:39 +0300

qt-gstreamer (0.10.1-1) experimental; urgency=low

  * Initial release. (Closes: #605040)

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Fri, 07 Jan 2011 23:41:31 +0200

=== debian/control ===
Source: qt-gstreamer
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 8),
               cmake (>= 2.8),
               automoc,
               flex,
               bison,
               libqt4-dev (>= 4:4.5),
               libboost-dev (>= 1.39),
               libgstreamer0.10-dev (>= 0.10.31),
               libgstreamer-plugins-base0.10-dev (>= 0.10.31),
               gstreamer0.10-plugins-base (>= 0.10.31),
               doxygen,
               graphviz
Standards-Version: 3.9.1
Homepage: http://gstreamer.freedesktop.org

Package: libqtglib-2.0-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libstdc++6 (>= 4.5.0~)
Description: C++ bindings library for GLib and GObject with a Qt-style API
 This package contains the QtGLib library, a library that provides
 C++ bindings for parts of the GLib and GObject APIs with a Qt-syle API.
 The bindings are designed to be easy to use for C++ programmers that are
 used to the Qt API and also provide easier integration with Qt by using
 Qt's data types where applicable.
 .
 This library serves as a base for building the QtGStreamer bindings library.
 .
 This package is part of QtGStreamer.

Package: libqtgstreamer-0.10-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ bindings library for GStreamer with a Qt-style API
 This package contains the QtGStreamer library, a library that provides
 C++ bindings for GStreamer with a Qt-style API. The bindings are designed
 to be easy to use for C++ programmers that are used to the Qt API and
 also provide easier integration with Qt by using Qt's data types where
 applicable.

Package: libqtgstreamerui-0.10-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: qtgstreamer-plugins
Description: The QtGStreamerUi library
 This package contains the QtGStreamerUi library, a library that provides
 helper classes for integrating GStreamer better in graphical Qt applications.
 .
 This package is part of QtGStreamer.

Package: libqtgstreamerutils-0.10-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: The QtGStreamerUtils library
 This package contains the QtGStreamerUtils library, a library that provides
 some high level utility classes that can be used with QtGStreamer.
 .
 This package is part of QtGStreamer.

Package: qtgstreamer-plugins
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins from QtGStreamer
 This package contains GStreamer plugins that are shipped together with
 the QtGStreamer bindings library. These plugins provide GStreamer elements
 that enable better integration of GStreamer in Qt applications.
 .
 Currently, this package contains the qwidgetvideosink element, a video sink
 that draws directly on QWidgets using the QPainter API.

Package: libqtgstreamer-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libqtglib-2.0-0 (= ${binary:Version}),
         libqtgstreamer-0.10-0 (= ${binary:Version}),
         libqtgstreamerui-0.10-0 (= ${binary:Version}),
         libqtgstreamerutils-0.10-0 (= ${binary:Version}),
         libqt4-dev (>= 4:4.5),
         libboost-dev (>= 1.39)
Suggests: qtgstreamer-doc
Description: Development headers for QtGStreamer
 QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
 plus some helper classes for integrating GStreamer better in Qt applications.
 .
 This package provides the necessary development files for building
 C++/Qt applications that use the QtGStreamer library.

Package: qtgstreamer-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libqtgstreamer-dev
Description: QtGStreamer API documentation
 QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
 plus some helper classes for integrating GStreamer better in Qt applications.
 .
 This package contains API documentation for the QtGStreamer library
 in html format, generated from the sources with doxygen.

Package: qtgstreamer-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         libqtglib-2.0-0 (= ${binary:Version}),
         libqtgstreamer-0.10-0 (= ${binary:Version}),
         libqtgstreamerui-0.10-0 (= ${binary:Version}),
         libqtgstreamerutils-0.10-0 (= ${binary:Version}),
         qtgstreamer-plugins (= ${binary:Version})
Description: Debug symbols for QtGStreamer
 QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
 plus some helper classes for integrating GStreamer better in Qt applications.
 .
 This package contains the debug symbols for the various binaries shipped
 with QtGStreamer.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- -DQTGSTREAMER_STATIC=OFF \
	                     -DQTGSTREAMER_TESTS=ON \
	                     -DQTGSTREAMER_EXAMPLES=OFF \
	                     -DGST_PACKAGE_NAME="QtGStreamer (Debian)" \
	                     -DGST_PACKAGE_ORIGIN="http://packages.qa.debian.org/qt-gstreamer"

override_dh_auto_build:
	dh_auto_build --parallel -- all doc

override_dh_auto_install:
	dh_auto_install --parallel
	cp -r obj-`dpkg-architecture -qDEB_HOST_GNU_TYPE`/doc debian/tmp/doc

override_dh_gencontrol:
	mkdir -p debian/fake-home
	HOME=debian/fake-home \
	LD_LIBRARY_PATH=debian/qtgstreamer-plugins/usr/lib:$(LD_LIBRARY_PATH) \
	    dh_gstscancodecs
	rm -rf debian/fake-home
	dh_gencontrol

%:
	dh $@ --parallel --dbg-package=qtgstreamer-dbg
